# ReaderWriterTXP.cpp File Reference

`#include <osg/Group>`
`#include <osg/Object>`
`#include <osg/Node>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/FileUtils>`
`#include <iostream>`
`#include "ReaderWriterTXP.h"`
`#include "TXPNode.h"`
`#include "TXPArchive.h"`
`#include "TXPPagedLOD.h"`
`#include "TXPSeamLOD.h"`
`#include "TileMapper.h"`

Include dependency graph for ReaderWriterTXP.cpp:

## Namespaces

namespace | txp

## Defines

#define | ReaderWriterTXPERROR(s) osg::notify(osg::NOTICE) << "txp::ReaderWriterTXP::" << (s) << " error: "

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterTXP > | g_txpReaderWriterProxy

## Define Documentation

#define ReaderWriterTXPERROR | ( | s |  | ) | osg::notify(osg::NOTICE) << "txp::ReaderWriterTXP::" << (s) << " error: "

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterTXP> g_txpReaderWriterProxy